/*
 * Copyright (c) eHealth
 */
using System;
using NUnit.Framework;
using be.ehealth.technicalconnector.session;
using be.fgov.ehealth.technicalconnector.tests.session;
using be.fgov.ehealth.technicalconnector.tests.utils;

namespace be.ehealth.businessconnector.ehboxV2
{
	
	/**
	 * base abstract class for ehbox v2 integration tests.
	 * 
	 * @author EHP
	 * 
	 */
	[TestFixture]
	public class AbstractEhboxV2IntegrationTest
	{
		[SetUp]
		public void init()
		{
			Session.getInstance().unloadSession();
			SessionInitializer.init(".\\be.ehealth.businessconnector.ehboxv2.test.properties", SupportedLanguages.NET.getAbbreviation());
		}
		
		[TearDown]
		public void tearDown() {
			Session.getInstance().unloadSession();
		}
	}
}
